Skip to content
Start here

Acknowledge + Retry Queue Messages

client.Queues.Messages.Ack(ctx, queueID, params) (*MessageAckResponse, error)
POST/accounts/{account_id}/queues/{queue_id}/messages/ack

Acknowledge + Retry messages from a Queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
ParametersExpand Collapse
queueID string

A Resource identifier.

maxLength32
params MessageAckParams
AccountID param.Field[string]

Path param: A Resource identifier.

maxLength32
Acks param.Field[[]MessageAckParamsAck]optional

Body param

LeaseID stringoptional

An ID that represents an "in-flight" message that has been pulled from a Queue. You must hold on to this ID and use it to acknowledge this message.

Retries param.Field[[]MessageAckParamsRetry]optional

Body param

DelaySeconds float64optional

The number of seconds to delay before making the message available for another attempt.

LeaseID stringoptional

An ID that represents an "in-flight" message that has been pulled from a Queue. You must hold on to this ID and use it to acknowledge this message.

ReturnsExpand Collapse
type MessageAckResponse struct{…}
AckCount float64optional

The number of messages that were succesfully acknowledged.

RetryCount float64optional

The number of messages that were succesfully retried.

Warnings []stringoptional

Acknowledge + Retry Queue Messages

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/queues"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Queues.Messages.Ack(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    queues.MessageAckParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.AckCount)
}
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "ackCount": 5,
    "retryCount": 5,
    "warnings": [
      "string"
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "ackCount": 5,
    "retryCount": 5,
    "warnings": [
      "string"
    ]
  },
  "success": true
}